﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Problems.DataAnalysis;

namespace HeuristicLab.Problems.TradeRules
{
    public interface ITradeRulesModel : IDataAnalysisModel {
    IEnumerable<double> GetEstimatedValues(Dataset dataset, IEnumerable<int> rows);
    ITradeRulesSolution CreateRegressionSolution(IRegressionProblemData problemData);
  }
}
